- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# AttributeFilename Class Reference

Search for all occurrences

## Detailed Description

Similar to AttributeInstance<String> but it provides a button on the interface where the user can browse for a filename.

Examples:

  MeshDisplace/displacer.h, and PtexExtractor/PtexUtilizer.h.

Definition at line 1033 of file node.h.

`#include <node.h>`

Inheritance diagram for AttributeFilename:
[legend]

List of all members.

## Public Member Functions
| AttributeFilename (Node *pOwner, const QString &sID, bool bMustExists=true)
| OPERATORS_NOEXCMARK (QString)
AttributeWidget * | CreateEditorWidget (QWidget *pParent, int iWidth)
| This function creates and returns the address of a QWidget object.
unsigned int | ParameterCount (void) const
QString | ParameterName (unsigned int iIndex) const
| Returns the name of a parameter with a given index.
QString | ParameterValue (unsigned int iIndex) const
| Returns the value of parameter with a given index.
void | SetParameterValue (const QString &sName, const QString &sValue)
| Set the value of a parameter.
## Public Attributes
bool | m_bMustExists
QString | m_sFilter
QString | m_sPath
QString | m_sSelectedFilter

## Constructor & Destructor Documentation

AttributeFilename | ( | Node * | pOwner,
|  | const QString & | sID,
|  | bool | bMustExists = `true`
| ) |  |

## Member Function Documentation

OPERATORS_NOEXCMARK | ( | QString |  | ) |

Search for all occurrences

Reimplemented in AttributeTextureFilename.

AttributeWidget* CreateEditorWidget | ( | QWidget * | pParent,
|  | int | iWidth
| ) |  | `[virtual]`

Search for all occurrences

This function creates and returns the address of a QWidget object.

The object then can be used in the interface to give the user control over the attribute value. Mudbox calls this function for every attribute in a node when it displays a properties dialog box for it. You must override it if you implement a new kind of attribute and want a special interface.

Reimplemented from AttributeInstance< type >.

Reimplemented in AttributeTextureFilename.

unsigned int ParameterCount | ( | void |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from Attribute.

QString ParameterName | ( | unsigned int | iIndex | ) | const `[virtual]`

Search for all occurrences

Returns the name of a parameter with a given index.

Reimplemented from Attribute.

QString ParameterValue | ( | unsigned int | iIndex | ) | const `[virtual]`

Search for all occurrences

Returns the value of parameter with a given index.

Reimplemented from Attribute.

void SetParameterValue | ( | const QString & | sName,
|  | const QString & | sValue
| ) |  | `[virtual]`

Search for all occurrences

Set the value of a parameter.

Reimplemented from Attribute.

## Member Data Documentation

bool m_bMustExists

Search for all occurrences

Definition at line 1045 of file node.h.

QString m_sFilter

Search for all occurrences

Definition at line 1046 of file node.h.

QString m_sPath

Search for all occurrences

Definition at line 1047 of file node.h.

QString m_sSelectedFilter

Search for all occurrences

Definition at line 1048 of file node.h.

The documentation for this class was generated from the following file:

- Mudbox/node.h

AttributeFilename AttributeFilename AttributeFilename AttributeFilename AttributeFilename AttributeFilename AttributeFilename AttributeFilename AttributeFilename AttributeFilename
AttributeFilename AttributeFilename AttributeFilename AttributeFilename AttributeFilename AttributeFilename AttributeFilename AttributeFilename AttributeFilename AttributeFilename